Es tikko instalēju OpenCart 2.3 un mēģināju pieteikties administratora panelī, bet tas tikai atsvaidzina lapu. Pārbaudīju, vai abi config.php ir pareizi norādīti https.

Ko es varu darīt, lai to novērstu. Pārlūkprogrammas konsolē tas parāda “Jauktā satura kļūda”. Pirms izlikšanas šeit esmu izlasījis vairākus ar HTTPS un SSL saistītus pavedienus, taču nevaru atrast neko būtisku.

1. piezīme: Es pārbaudīju izstrādātāja rīku cilni Tīkls. Šķiet, ka CSS un JS faili tiek bloķēti. Arī nepareizas paroles ievadīšanas laikā es nesaņemu kļūdu.

2. piezīme: Mana config.php ir:

// HTTP define('HTTP_SERVER', 'https://example.in/products/'); // HTTPS define('HTTPS_SERVER', 'https://example.in/products/'); 

  • Vai varat pārlūkprogrammā atvērt izstrādātāja rīkus, pārslēgties uz cilni "tīkls" un meklēt HTTP pieprasījumi tur?
  • atjaunināja jautājumu
  • Vai bloķētie CSS un JS faili ir jūsu vietējā instalācijā vai arī tie ir trešās puses? Es nezinu daudz par OpenCart, bet citās satura pārvaldības sistēmās CSS un JS kontrolē tēma. Vai jūs izmantojat motīvu ar OpenCart?
  • Tie nav trešā puse, bet ir daļa no paketes
  • Vai ir iesaistītas tēmas, vai tā ir OpenCart bāzes pakete?

strādāja par jums: Charles Robertson | Vēlies ar mums sazināties?

noderīga informācija